about summary refs log tree commit diff
path: root/dns/import
diff options
context:
space:
mode:
authorVincent Ambo <tazjin@gmail.com>2016-05-26T22·38+0200
committerVincent Ambo <tazjin@gmail.com>2016-05-26T22·38+0200
commitcfe9387af1c33df57cf1d2ca6a5c4f701b6f8e61 (patch)
tree55acac0ea5c991a41101ac24ed49493bc4069b98 /dns/import
parentb85e5e7aca4ae8cbc58350f5b9f5efb106fc5397 (diff)
[dns] Add DNS setup to git
Diffstat (limited to 'dns/import')
-rwxr-xr-xdns/import11
1 files changed, 11 insertions, 0 deletions
diff --git a/dns/import b/dns/import
new file mode 100755
index 000000000000..e79e426b5553
--- /dev/null
+++ b/dns/import
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -ue
+
+# Imports a zone file into a Google Cloud DNS zone of the same name
+readonly ZONE="${1}"
+
+gcloud dns record-sets import "${ZONE}" \
+       --project composite-watch-759 \
+       --zone-file-format \
+       --delete-all-existing \
+       --zone "${ZONE}"